unit UMainPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, USqlDatabase, UCore, UCustomCGIApplication, UHtmlClasses;

procedure MainPage(App: TCustomCGIApplication);

implementation

procedure Links(App: TCustomCGIApplication);
begin
  App.HtmlDocument.Title := 'Odkazy';

  with App.HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
    Text := '<strong>Odkazy související s obcí:</strong><br/>' +

    '<a href="http://www.zdechov.cz/">Obec Zděchov</a> - oficiální stránky  obce<br/>' +
    '<a href="http://zdechovskagrapa.sweb.cz/">Zděchovská grapa</a> - místní motokrosové závody<br/>' +
    '<a href="http://www.snbzdechov.com/zavod.htm">Zděchovská třicítka</a> - tradiční běžkařský závod<br/>' +
    '<a href="http://www.snbzdechov.com/">Snowpark Zděchov</a> - areál se sjezdovkou pro lyžaře i snowboardisty<br/>' +
    '<a href="http://sdh.zdechov.net/">SDH Zděchov</a> - Sbor Dobrovolných Hasičů Zděchov<br/>' +
    '<a href="http://fotbal.zdechov.net/">TJ Sokol Zděchov</a> - stránky věnované Zděchovskému fotbalovému týmu<br/>' +
    '<a href="http://farnost.zdechov.net/">Farnost Zděchov</a> - informace k místní farnosti<br/>' +
    '<br/>' +

    '<strong>Hostované servery:</strong><br/>' +
    //'<a href="http://www.heroesoffantasy.cz/">Heroes of Fantasy</a> - free World of Warcraft server<br/>' +
    '<a href="http://wowpreklad.zdechov.net/">WoWpřeklad</a> - překlad hry WoW do češtiny<br/>' +
    '<a href="http://www.unitedstorm.eu/">UnitedStorm</a> - herní server<br/>' +
    '<a href="http://victus.cz/">Victus</a> - herní server hry WoW<br/>' +
    '<a href="http://gameshoot.eu/">GameShoot</a> - herní portál<br/>' +
    '<br/>' +

    '<strong>Odkazy související s okolím:</strong><br/>' +
    '<a href="http://www.valassko-hornovsacko.cz/">Valašsko - Horní Vsacko</a> - informační stránky oblasti<br/>' +
    '<br/>' +

    '<a HREF="http://www.toplist.cz/cgi-bin/stat.asp&amp;menu=4096&amp;menu=2048&amp;menu=64&amp;menu=1024&amp;menu=512&amp;menu=32&amp;menu=256&amp;menu=4&amp;menu=128&amp;menu=8&amp;menu=16&amp;menu=8192&amp;' +
    'menu=2&amp;menu=16384&amp;menu=1&amp;kdy=dnes&amp;n=90148"><script language="JavaSc&amp;ript" type="text/javascript">' +
    '<!--' +
    'document.write (\''<img align="right" src="http://toplist.cz/count.asp?id=90148&amp;logo=mc&amp;http=\''+escape(document.referrer)+\''&amp;wi=\''+escape(window.screen.width)+\''&he=\''+escape(window.screen.height)' +
    '+\''&amp;cd=\''+escape(window.screen.colorDepth)+\''&amp;t=\''+escape(document.title)+\''" width=88 height=60 border=0 alt="TOPlist"/>'';' +
    '//--></script></a>' +

    '<strong>Komunitní sítě v okolí:</strong><br/>' +
    '<a href="http://www.hovnet.cz/">Hovnet</a> - síť v Hovězí, Janové, Huslenkách a dalších obcích<br/>' +
    //'<a href="http://czvk3.net/">czvk3net</a> - síť ve Valašských Kloboucích<br/>' +
    '<a href="http://hvfree.net/">HvFree.net</a> - síť v Tylovicích, Hážovicích, Viganticích a Hutisku<br/>' +
    '<a href="http://www.ustinet.cz/">Ústí.Net</a> - síť v Ústí u Vsetína<br/>' +
    '<br/>';
  end;
end;

procedure History(App: TCustomCGIApplication);
var
  DbRows: TDbRows;
  I: Integer;
begin
  with App do begin
    HtmlDocument.Title := 'Historie sítě';

    with HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
      Text := '<table>';
      try
        DbRows := Database.Query('SELECT * FROM History ORDER BY Date DESC');
        for I := 0 to DbRows.Count - 1 do begin
          Text := Text + '<tr><td style="text-align: right; vertical-align: top;">' +
            HumanDate(SQLToDateTime(DbRows[I].Values['Date'])) + '&nbsp;- </td><td>' +
            DbRows[I].Values['Text'] + '</td></tr>';
        end;
      finally
        DbRows.Free;
      end;
      Text := Text + '</table>';
    end;
  end;
end;

procedure Internet(App: TCustomCGIApplication);
begin
  with App do begin
    HtmlDocument.Title := 'Internet';

    with HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
      Text := Text + 'Hlavní náplní činnosti sítě je poskytovat výhodné připojení k internetu pro občany.<br/><br/>' +
      '<strong>Nabídka tarifů:</strong><br/>' +

      '<table class="WideTable">' +
      '<tr><th>Označení</th><th>Rychlost</th><th>Agregace</th><th>Cena [Kč/měsíc]</th></tr>' +
      '<tr><td>Zdarma</td><td align="center">128 kbit/s</td><td align="center"></td><td align="center">0</td></tr>' +
      '<tr><td>Pomalejší</td><td align="center">2 Mbit/s</td><td align="center">1:20</td><td align="center">190</td></tr>' +
      '<tr><td>Pomalý</td><td align="center">4 Mbit/s</td><td align="center">1:20</td><td align="center">260</td></tr>' +
      '<tr><td>Střední</td><td align="center">8 Mbit/s</td><td align="center">1:20</td><td align="center">360</td></tr>' +
      '<tr><td>Rychlý</td><td align="center">16 Mbit/s</td><td align="center">1:20</td><td align="center">520</td></tr>' +
      '<tr><td>Rychlejší</td><td align="center">32 Mbit/s</td><td align="center">1:20</td><td align="center">750</td></tr>' +
      '</table>' +
      '<br/>' +
      'Rychlost všech tarifů je symetrická, není omezován objem přenášených dat, ceny včetně DPH.<br/>' +
      '<br/>' +
      '<i>Aktualizováno: 1.7.2010</i>';
    end;
  end;
end;

procedure VoIP(App: TCustomCGIApplication);
begin
  with App do begin
    HtmlDocument.Title := 'VoIP';

    with HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
      Text := 'Volejte levněji do pevných a mobilních sítí s sekundovou tarifikací a bez měsíčního paušálu.<br/>' +
      '<br/>' +
      'Doporučujueme: <a href="http://voip.mikrotech.cz/">VoIP Mikrotech</a>' +
    '<ul><li>Zřízení zdarma</li>' +
    '<li>Měsíční paušál: 0 Kč</li>' +
    '<li>Tarifikace: 1+1 (sekundová)</li>' +
    '<li>V sítí Mikrotech: 0 Kč/minutu</li>' +
    '<li>Volání do pevných sítí: 0,5 Kč/minutu</li>' +
    '<li>Volání do mobilních sítí: 2,33 Kč/minutu</li>' +
    '<li>Přenesení vašeho čísla: 1200 Kč</li>' +
    '</ul><br/>' +

    '<strong>10 výhod volání s VoIP Mikrotech</strong>' +
    '<ol><li>Začnete ihned šetřit - volání v síti zdarma</li>' +
    '<li>Registrace, zřízení VoIP zdarma</li>' +
    '<li>0,- Kč měsíční paušál, pouze 1 Kč pronájem čísla</li>' +
    '<li>Žádný závazek, kredit bez časového omezení</li>' +
    '<li>Nejnižší ceny hovorů na trhu</li>' +
    '<li>Online výpis hovorů zdarma</li>' +
    '<li>Běžné tel. číslo, možnost přenosu stávajícího čísla</li>' +
    '<li>Za příchozí hovory Vám zaplatíme</li>' +
    '<li>Bez počátečních investic - softwarový telefon</li>' +
    '<li>Pro telefonování nepotřebujete počítač - hardwarový VoIP telefon</li>' +
    '</ol>';
    end;
  end;
end;

procedure Hosting(App: TCustomCGIApplication);
var
  I: Integer;
  DbRows: TDbRows;
begin
  with App do begin
    HtmlDocument.Title := 'Hosting';

    with HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
      Text := 'V nabídce je provoz virtualizovaných Linuxových serverů dle dohodnutých parameterů.<br/><br/>' +
      '<strong>Standardní varianty:</strong><br/>' +
      '<table class="WideTable">' +
      '<tr><th>Označení</th><th>Rychlost</th><th>Vyhrazená paměť</th><th>Pevný disk</th><th>Procesor</th><th>Cena [Kč/měsíc]</th></tr>';
      try
        DbRows := Database.Query('SELECT * FROM VPSHosting ORDER BY Price DESC');
        for I := 0 to DbRows.Count - 1 do
          Text := Text + '<tr><td>' + DbRows[I].Values['Name'] + '</td><td align="center">' +
            DbRows[I].Values['Internet'] + '</td><td align="center">' + DbRows[I].Values['Memory'] +
            '</td><td align="center">' + DbRows[I].Values['Space'] + '</td><td align="center">' +
            DbRows[I].Values['CPU'] + '</td><td align="center">' + DbRows[I].Values['Price'] + '</td></tr>';
      finally
        DbRows.Free;
      end;
      Text := Text + '</table>' +
      '<br/>' +
      'První měsíc zdarma, denní zálohování disků, ceny včetně DPH<br/>' +
      'Použité technologie: <a href="http://www.linux.cz/">GNU/Linux</a>, <a href="http://openvz.org/">OpenVZ</a>, <a href="http://pve.proxmox.com/">Proxmox VE</a>, <a href="http://backuppc.sourceforge.net/">BackupPC</a><br/>' +
      '<br/>' +
      '<i>Aktualizováno: 1.7.2010</i>';
    end;
  end;
end;

procedure About(App: TCustomCGIApplication);
var
  TextBlock: THtmlString;
begin
  with App do begin
    HtmlDocument.Title := 'O síti';

    with HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
    Text := '<img align="left" src="images/umisteni.gif" alt="Umístění obce"/>' +
      '<a href="images/pokryti.jpg"><img align="right" src="images/pokryti_nahled.jpg" width="170" height="334" alt="Pokrytí obce signálem"/></a>' +
      '<strong>Informace o obci:</strong><br/>' +
      'Vesnice Zděchov se nachází pár kilometrů od obce Huslenky, jihovýchodním směrem od Vsetína. ' +
      'Je zasazena do typicky valašské krajiny roztroušených usedlostí a jalovcových pasek. Stojí zde dochovalé stavby lidové architektury, klasicistní kostel Proměnění Páně a kamenný kříž z roku 1778.<br/>' +
      'Zděchov poskytuje ideální podmínky pro celeroční rekreaci. Najdete zde koupaliště, lyžařský vlek a motokrosovou trať. Prochází tudy modrá turistická značka, odsud také vede žlutá značka, která tvoří spojnici se zelenou.<br/>' +
      '<br/>' +
      '<strong>Informace o síti:</strong><br/>' +
      'Počítačová síť postupně vznikla jako přirozená reakce na tehdejší situaci v informačních technologiích a jako reakce na nedostupnost vhodného internetového připojení pro domácnosti v obci. ' +
      'Členové komunity jsou mezi sebou propojeni pomocí kabelu nebo bezdrátové technologie Wi-Fi. K internetu jsou připojeni přes hlavní směrovač. ' +
      'Připojení je negarantované, avšak prvořadým cílem je maximální spolehlivost, stabilita, rychlost a dostupnost připojení. ' +
      'Jelikož je obec odlehlá a obklopena vysokými kopci, jsou zde možnosti jiného kabelového či bezdrátového připojení značně omezené. Síť vedená místními aktivisty také přináší řadu nadstandardních komunitních služeb.<br/>' +
      '<br/>' +
      '<i>Důvody ke vzniku sítě:</i><br/>' +
      '<ul>' +
      '<li>Možnost komunikace mezi členy formou textu, zvuku či videa</li>' +
      '<li>Dosažení rychlejšího a levnějšího nepřetržitého sdíleného internetového připojení bez omezení dat</li>' +
      '<li>Možnost šíření aktuálních informací z dění v obce</li>' +
      '<li>Sdílení společných dat</li>' +
      '<li>Společné hraní síťových her</li>' +
      '<li>Zprovoznění užitečných služeb (chat, aktuality, bazar, menu v jídelně, web kamery, aj.)</li>' +
      '</ul><br/>';

    Text := Text + '<br/>' +
      '<a href="images/pohlednice_stara.jpg"><img align="right" src="images/pohlednice_stara_mala.jpg" alt="Stará pohlednice" /></a>';

    Text := Text + '<strong>Počty zákazníků:</strong><br/>' +
      'Připojených domácností v obci: 99<br/>' +
      'Připojených institucí: 1<br/>' +
      'Hosting serverů: 4<br/>' +
      'Celkem: 104<br/>' +
      '<br/>' +
      '<strong>Technické parametry sítě</strong><br/>' +
      'Internetové připojení: 20/20 Mbit/s, vyhrazené, symetrické, bez agregace, bez omezení přenesených dat, přes společnost <a href="http://www.inext.cz/">Internext 2000</a><br/>' +
      'Pokrytí obce signálem: asi 80%<br/>' +
      'V připojených domácnostech celkem 327 občanů ze všech 600 (55 %)<br/>' +
      '<br/>' +
      '<i>Aktualizováno: 3.7.2009</i>';
    end;
  end;
end;

procedure Documents(App: TCustomCGIApplication);
begin
  with App do begin
    HtmlDocument.Title := 'Dokumenty';

    with HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
      Text := '<strong>O obci:</strong><br/>' +

      IconedLink('docs/Zdechovska_historie_a_soucasnost.pdf', 'Zděchovská historie a současnost') + ' (1,6 MB)<br/>' +
      '<img src="images/icons/pdf.gif" alt=""> Zděchov - klíč od hřebene Javorníků - propagační publikace obce (kvalita ' +
'<a href="docs/Zděchov - klíč od hřebene Javorníků (nízká kvalita).pdf">nízká (1,8 MB)</a> ' +
'<a href="docs/Zděchov - klíč od hřebene Javorníků (střední kvalita).pdf">střední (3,7 MB)</a> ' +
'<a href="docs/Zděchov - klíč od hřebene Javorníků (vysoká kvalita).pdf">vysoká (7,2 MB)</a>)' +
'<br/><br/>' +
    '<strong>Propagace sítě v obci:</strong><br/>' +

      IconedLink('docs/info_na_infokanal_1.6.2006.pdf', 'Aktualita na infokanálu (1.6.2006)') + '<br/>' +
      IconedLink('docs/info_na_infokanal_4.3.2005.pdf', 'Aktualita na infokanálu (4.3.2005)') + '<br/>' +
      IconedLink('docs/info_na_infokanal_24.9.2004.pdf', 'Aktualita na infokanálu (24.9.2004)') + '<br/>' +
      IconedLink('docs/vyzva_do_infokanalu_15.8.2004.pdf', 'Výzva do infokanálu (15.8.2004)') + '<br/>';
    end;
  end;
end;

procedure Contact(App: TCustomCGIApplication);
begin
  App.HtmlDocument.Title := 'Kontakt';

  with App.HtmlDocument.Body, THtmlString(SubItems[SubItems.Add(THtmlString.Create)]) do begin
    Text := '<strong>Kontaktní informace</strong><br/>' +
    'Provozovatel: Ing. Jiří Hajda<br/>' +
    'Adresa: Zděchov 208, 75607<br/>' +
    'Telefón: 737785792<br/>' +
    'E-mail: <a href="mailto: robie@centrum.cz">robie@centrum.cz</a><br/>' +
    'IČ: 75904535<br/>' +
    'DIČ: CZ8303255884<br/>' +
    'Bankovní účet: 218098370 / 0300<br/>';
  end;
end;

procedure MainPage(App: TCustomCGIApplication);
begin
  if App.PageName = 'Internet' then Internet(App)
  else if App.PageName = 'Hosting' then Hosting(App)
  else if App.PageName = 'History' then History(App)
  else if App.PageName = 'Documents' then Documents(App)
  else if App.PageName = 'VoIP' then VoIP(App)
  else if App.PageName = 'Links' then Links(App)
  else if App.PageName = 'Contact' then Contact(App)
  else About(App);
end;

end.

